/* Buttons base */

.btn-main {
	text-decoration: none;
	display: flex;
	align-items: center;
	gap: 12px;
	transition: .22s ease-in;
	border: none;
	background: transparent;
	outline: none;
}

.btn-main span {
	border-radius: 50px;
	background: #FFED66;
	font-size: 20px;
	font-style: normal;
	font-weight: 600;
	padding: 15px 50px;
	transition: .22s ease-in;
	border: 2px solid #FFED66;
	display: inline-flex;
	align-items: center;
}

.btn-main:hover span {
	background: transparent;
	border-color: #7616DF;
	color: #7616DF;
}

.cta-regular .btn-main:hover span,
.banner .btn-main:hover span,
.cta-nl .btn-main:hover span,
.cta .btn-main:hover span,
.hero-home .btn-main:hover span,
.banner .btn-secondary:hover span,
.cta-nl .btn-secondary:hover span,
.cta .btn-secondary:hover span,
.hero-home .btn-secondary:hover span {
	border-color: #fff;
	color: #fff;
}

.btn-main.has-arrow:hover span {
	padding: 15px 64px 15px 50px;
}

.btn-secondary {
	text-decoration: none;
	display: flex;
	align-items: center;
	gap: 12px;
	transition: .22s ease-in;
	border: none;
	background: transparent;
	outline: none;
}

.btn-secondary span {
	border-radius: 50px;
	background: #FCFCFC;
	font-size: 20px;
	font-style: normal;
	font-weight: 600;
	line-height: 100%;
	padding: 15px 50px;
	transition: .22s ease-in;
	border: 2px solid #fff;
	display: inline-flex;
	align-items: center;
	justify-content: center;
}

.btn-secondary:hover span {
	background: transparent;
	border-color: #7616DF;
	color: #7616DF;
}

.circle-btn svg path {
	transition: .22s ease-in-out;
}

.has-arrow svg {
	background-position: 0px 0px;
	background-size: cover;
	background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" width="70" height="70" viewBox="0 0 70 70" fill="none"><path d="M23.3334 33.3145C22.7811 33.3145 22.3334 33.7622 22.3334 34.3145C22.3334 34.8667 22.7811 35.3145 23.3334 35.3145V33.3145ZM48.7464 35.0216C49.1369 34.631 49.1369 33.9979 48.7464 33.6073L42.3824 27.2434C41.9919 26.8529 41.3587 26.8529 40.9682 27.2434C40.5777 27.6339 40.5777 28.2671 40.9682 28.6576L46.625 34.3145L40.9682 39.9713C40.5777 40.3618 40.5777 40.995 40.9682 41.3855C41.3587 41.776 41.9919 41.776 42.3824 41.3855L48.7464 35.0216ZM23.3334 35.3145H48.0393V33.3145H23.3334V35.3145Z" fill="%23171717"></path></svg>');
	background-color: #FCFCFC;
	border-radius: 50%;
	transition: .3s ease-in-out;
	display: block;
}

.btn-main.has-arrow svg,
.btn-secondary.has-arrow svg {
	flex: 0 0 51px;
	width: 51px;
	height: 51px;
	min-width: 51px;
	min-height: 51px;
}

.has-arrow svg path,
.has-arrow svg circle {
	opacity: 0;
}

.has-arrow:hover svg {
	background-position: 50px 0px;
}
